/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
/*
 * $Id: InterceptorJ.java 62595 2011-04-20 20:38:55Z kgrucci $
 */

package com.sun.ts.tests.ejb30.common.callback;
import javax.annotation.PostConstruct;
import javax.annotation.PreDestroy;
import javax.interceptor.InvocationContext;

/**
 * An interceptor that does not contain any lifecycle methods.  Its superclass
 * contains lifecycle methods, and also overrides/disables lifecycle methods
 * in ITS superclasses.
 */
public class InterceptorJ extends InterceptorI {
    public InterceptorJ() {
        super();
    }
    
    @Override
    public String getInjectedLocation() {
        return NOT_INJECTED;
    }
    
    @Override
    protected String getShortName() { return "J";}
    
}
