/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
/*
 * $Id: InvocationContextBase.java 62595 2011-04-20 20:38:55Z kgrucci $
 */

package com.sun.ts.tests.ejb30.common.invocationcontext;

import com.sun.ts.tests.ejb30.common.helper.TestFailedException;
import javax.interceptor.ExcludeClassInterceptors;

public abstract class InvocationContextBase implements InvocationContextIF {
    protected InvocationContextBase() {
    }
   
    //===================== business methods ===========================
    public Number[] setParametersIllegalArgumentExceptionForNumber(Number m, Number n) throws TestFailedException {
        return new Number[]{m, n};
    }

    public String[] setParametersIllegalArgumentExceptionForStringArray(String[] ss) throws TestFailedException {
        return ss;
    }

    public String[] setParametersIllegalArgumentExceptionForString(String m, String n) throws TestFailedException {
        return new String[]{m, n};
    }

    public char[] setParametersIllegalArgumentExceptionForChar(char m, char n) throws TestFailedException {
        return new char[]{m, n};
    }

    public Number[] setParametersIllegalArgumentExceptionForShortLong(short s, long l) throws TestFailedException {
        return new Number[]{s, l};
    }

    @ExcludeClassInterceptors()
    public String[] setParametersIllegalArgumentExceptionForString(Object o, Object p) throws TestFailedException {
        return null;
    }

    public boolean proceedAgain(int count) throws TestFailedException {
	if(count == 0) {
	    throw new TestFailedException("Throw TestFailedException if it's the 1st invocation/proceed call.");
	} 
	return true;
    }
    
    public int getTarget() throws TestFailedException {
	return System.identityHashCode(this);
    }
    
    public void getSetParametersEmpty() throws TestFailedException {
	
    }

    public String getSetParameters(String a, String b) throws TestFailedException {
	return a + b;
    }

    public void getContextData() throws TestFailedException {
    }

    public void getTimer() throws TestFailedException {
    }
    
}
